Subject: Re: bug#56561: 29.0.50; Infloop in try_window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jul 2022 13:57:55 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 16 Jul 2022 18:34:17 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> The point I was making was that aborting in such a situation (when there
> >> is no row where ends_at_zv_p is true) will result in false positives
> >> when the tooltip is intentionally too small to display the entire text.
> 
> > Yes, and so this situation should be detected, and we should avoid
> > triggering the assertion violation in that case.
> 
> Hmm.  I might've missed where you explained that, but how would I go
> about detecting that situation?
> 
> The way I understand the code is that we set the window dimensions to
> the max tooltip size, create a glyph matrix of that size, and then call
> try_window.

That is true.  Which part of detecting the above situation sounds
problematic to you?  I'm asking because I'm uncertain what should I
explain in this regard.